- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# SelectKeyMenu Class Reference

`#include <Menu.h>`

Inheritance diagram for SelectKeyMenu:

List of all members.

## Public Member Functions
| SelectKeyMenu (List *menuInfo)
void | draw ()
bool | select ()
## Private Attributes
std::string | _text [9]
std::string | _keys [9]

## Detailed Description

Definition at line 47 of file Menu.h.

## Constructor & Destructor Documentation

SelectKeyMenu::SelectKeyMenu | ( | List * | menuInfo | ) |

| Definition at line 196 of file Menu.cpp. References _keys, Menu::_options, Menu::_selectedMax, Menu::_subtitles, _text, Menu::_title, Control::altShoot1Key, Control::altShoot2Key, Control::downKey, Control::jumpKey, Control::leftKey, Control::rightKey, Control::shoot1Key, Control::shoot2Key, and Control::upKey.

## Member Function Documentation

void SelectKeyMenu::draw | ( |  | ) | `[virtual]`

| Reimplemented from Menu. Definition at line 231 of file Menu.cpp. References _keys, Menu::_leftMargin, Menu::_selected, _text, Menu::_textHeight, Menu::draw(), glfuncs::glPrint(), and glfuncs::instance(). Referenced by select().

bool SelectKeyMenu::select | ( |  | ) | `[virtual]`

| Reimplemented from Menu. Definition at line 251 of file Menu.cpp. References _keys, Menu::_selected, Control::altShoot1Key, Control::altShoot2Key, Control::downKey, draw(), glfuncs::instance(), Control::jumpKey, Control::leftKey, Control::rightKey, Control::shoot1Key, Control::shoot2Key, and Control::upKey.

## Member Data Documentation

std::string SelectKeyMenu::_keys[9]`[private]`

| Definition at line 55 of file Menu.h. Referenced by draw(), select(), and SelectKeyMenu().

std::string SelectKeyMenu::_text[9]`[private]`

| Definition at line 54 of file Menu.h. Referenced by draw(), and SelectKeyMenu().

The documentation for this class was generated from the following files:

- C:/Documents and Settings/jegan/Desktop/projectX/Menu.h
- C:/Documents and Settings/jegan/Desktop/projectX/Menu.cpp